<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  E-Commerce Solutions

  Copyright (c) 2005 www.flash-template-design.com

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
 <table border="0" cellpadding="0" height="58" cellspacing="0" width="680" >
 	<tr>
		<td colspan="2" width="680" valign="top" >
			
				 <table border="0" cellpadding="0" cellspacing="0" width="485" id="logo">
				 <tr>
				 <td width="278"><img id="logoim" src="images/logo.gif" width="199" height="20" alt="E-online shop"/></td>
				<td width="207"><div id="topmenu">
  <div class="column">
  <ul>
  	<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="atopmenu">About us</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Hot offers</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_PRIVACY) ?>" class="atopmenu">Privacy Notice</a></li>
  </ul>
  </div>
  <div class="column">
  <ul>
  	<li><a href="<?php echo tep_href_link(FILENAME_NEWS) ?>" class="atopmenu">News</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_RESELLERS) ?>" class="atopmenu">Resellers</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CONTACT_US) ?>" class="atopmenu">Contacts</a></li>
  </ul>
  </div></div></td>
  <td rowspan="2" width="195" align="right">
   <div id="shopcart">
   	<table width="195" border="0" cellpadding="0" cellspacing="0" >
		<tr>
			<td width="45"><img src="images/shop_cart_im.gif" width="38" height="39" alt=""/></td>
			<td width="136" valign="top">
			<table width="130" border="0" cellpadding="0" cellspacing="0" style="margin-left:2px; ">
			  <tr>
			  <td ><img src="images/shop_cart_txt.gif" alt="" width="110" height="11" style="margin:4px 0px 9px 0px; " /></td>
			  </tr>
			  <tr>
			  	<td align="left" >Now in your cart</td>
			  </tr>
			  <tr align="left">
			  	<td valign="top"><b><?php  echo sizeof($products = $cart->get_products()).' items'; ?></b></td>
			  </tr>
			  <tr>
			  	<td width="100%" height="18" align="right" valign="bottom"><a href="<?php echo tep_href_link(FILENAME_SHOPPING_CART) ?>"><img src="images/details.gif" alt="" width="80" height="16" border="0" align="right"/></a></td>
			  </tr>
				</table>		
			</td>
		</tr></table></div>
  </td>
  </tr>
  <tr>
  <td width="490" colspan="2" valign="top" align="left">
  <?php require(DIR_WS_BOXES.'menu.php')?>
  </td>
  </tr></table>
  
 
 
 
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
</td>
</tr>
